
D4Science Infrastructure - Task #7448

install Smartegears in sharelatex.d4science.org

Mar 08, 2017 06:10 PM - Lucio Lelii

Status: Closed Start date: Mar 08, 2017

Priority: Immediate Due date: Mar 08, 2017

Assignee: _InfraScience Systems Engineer % Done: 100%

Category: Application Estimated time: 0.50 hour

Target version: Development Environment

Enhancements

  

Infrastructure: Development   

Description

also configure ngix to access directly to the tomcat instance with the path /sharelatex-connector

History

#2 - Mar 09, 2017 09:42 AM - Andrea Dell'Amico

- Status changed from New to In Progress

- % Done changed from 0 to 20

Do we have a list of scopes yet?

#3 - Mar 09, 2017 10:14 AM - Andrea Dell'Amico

smartgears has been installed and the proper nginx redirections are in place on both http and https (no http -> https redirection):

    location /whn-manager {

        proxy_pass http://localhost:9000/whn-manager;

    }

    location /sharelatex-connector {

        proxy_pass http://localhost:9000/sharelatex-connector;

    }

 The sharelatex app is always been redirected over https.

The only scope available right now is /d4science.research-infrastructures.eu

#4 - Mar 09, 2017 10:15 AM - Andrea Dell'Amico

- Status changed from In Progress to Closed

- % Done changed from 20 to 100
